@echo off
cd ..

rem ### CLEAN MAIN DIR

del *.dll /q
del *.exe /q
del *.suo /q /A:h
del *.ncb /q
del *.user /q
del *.ilk /q
del *.pdb /q
del *.log /q 

rem ### CLEAN LOGS

if exist log (
cd log
del * /q
cd ..
)

rem ### CLEAN OBJ DIR

if exist _obj (
rmdir _obj /q /s
)

rem ### CLEAN DOCS DIR

if exist _docs (
rmdir _docs /q /s
)

rem ### CLEAN TINY XML

if exist _libraries (

	cd _libraries

	if exist TinyXML (

		cd TinyXML

		if exist obj (
			rmdir obj /q /s
		)

		if exist lib (
			rmdir lib /q /s
		)

		del *.suo /q /A:h
		del *.ncb /q
		del *.user /q
		del *.ilk /q
		del *.pdb /q		

		cd ..
	)
	
	cd .. 
)